package initcmd

import (
	"github.com/spf13/cobra"
)

// 仅定义 Cmd， 注册子命令,只负责组装命令树，尽量不包含业务逻辑
func NewInitCmd() *cobra.Command {
	cmd := &cobra.Command{
		Use:   "init",
		Short: "初始化集群配置",
		Long:  "初始化 SunHPC 配置文件、数据库、系统参数及相关服务",
	}

	cmd.AddCommand(NewInitDBCmd())
	cmd.AddCommand(NewInitCfgCmd())
	cmd.AddCommand(NewInitTuiCmd())

	return cmd
}
